Skip to main content
POST
/
api
/
v3
/
admin
/
webhook_endpoints
/
{webhook_endpoint_id}
/
deliveries
/
{id}
/
redeliver
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

// Creates a new delivery row with the same payload + event_name and queues
// it. The original row is preserved for audit history.
const delivery = await client.webhookEndpoints.deliveries.redeliver('whe_xxx', 'whd_xxx')
{
  "id": "whd_EfhxLZ9ck8",
  "event_name": "order.created",
  "event_id": null,
  "response_code": null,
  "execution_time": null,
  "error_type": null,
  "request_errors": null,
  "response_body": null,
  "success": null,
  "payload": {
    "event": "order.created",
    "data": {
      "id": 1
    }
  },
  "created_at": "2026-06-05T13:13:14.655Z",
  "updated_at": "2026-06-05T13:13:14.655Z",
  "delivered_at": null,
  "webhook_endpoint_id": "whe_UkLWZg9DAJ",
  "webhook_endpoint_url": "https://shop.example.com/webhooks"
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

webhook_endpoint_id
string
required

Parent webhook endpoint ID

id
string
required

Webhook delivery ID to redeliver

Response

201 - application/json

redelivery queued